Read the authorized latest GEX snapshot
curl --request GET \
--url https://api.tradingoctant.com/v1/gex \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tradingoctant.com/v1/gex"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tradingoctant.com/v1/gex', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tradingoctant.com/v1/gex",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tradingoctant.com/v1/gex"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tradingoctant.com/v1/gex")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tradingoctant.com/v1/gex")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"symbol": "<string>",
"tradeDate": "2023-12-25",
"asOf": "2023-11-07T05:31:56Z",
"asOfEt": "<string>",
"spot": 123,
"candles": [
{
"minute": 123,
"o": 123,
"h": 123,
"l": 123,
"c": 123,
"v": 123,
"vw": 123
}
],
"strikes": [
123
],
"groups": [
{
"key": "day",
"levels": {
"netGex": 123,
"flip": 123,
"callWall": 123,
"putWall": 123,
"maxGammaStrike": 123
},
"last": [
123
]
}
],
"basis": "naive"
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Customer REST API
Read the latest GEX
Read the authorized latest GEX snapshot
curl --request GET \
--url https://api.tradingoctant.com/v1/gex \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tradingoctant.com/v1/gex"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tradingoctant.com/v1/gex', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tradingoctant.com/v1/gex",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tradingoctant.com/v1/gex"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tradingoctant.com/v1/gex")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tradingoctant.com/v1/gex")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"symbol": "<string>",
"tradeDate": "2023-12-25",
"asOf": "2023-11-07T05:31:56Z",
"asOfEt": "<string>",
"spot": 123,
"candles": [
{
"minute": 123,
"o": 123,
"h": 123,
"l": 123,
"c": 123,
"v": 123,
"vw": 123
}
],
"strikes": [
123
],
"groups": [
{
"key": "day",
"levels": {
"netGex": 123,
"flip": 123,
"callWall": 123,
"putWall": 123,
"maxGammaStrike": 123
},
"last": [
123
]
}
],
"basis": "naive"
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Returns one snapshot. Use
tradeDate and asOf to identify the session and observation time. Select an expiry group by groups[].key. Within that group, levels.maxGammaStrike is the Max Gamma strike. An unavailable level may be null.
Errors For 401 check or replace the key. For 403 check scope. For 422 check parameters. For 429 honor Retry-After and check usage. Retry later on 503.Authorizations
Query Parameters
Response
Successful response
Selected customer-facing snapshot fields. Additional response fields may be present.